Subject: Re: [PATCH v2 0/6] Implement a batched fsync option for core.fsyncObjectFiles

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Sep 2021 23:44:52 -0700

Neeraj Singh <[email-masked]> writes:

> BTW, I updated the github PR to enable batch mode everywhere, and all
> the tests passed, which is good news to me.

I doubt that fsyncObjectFiles is something we can reliably test in
CI, either with the new batched thing or with the original "when we
close one, make sure the changes hit the disk platter" approach.  So
I am not sure what conclusion we should draw from such an experiment,
other than "ok, it compiles cleanly."  After all, unless we cause
system crashes, what we thought we have written and close(2) would
be seen by another process that we spawn after that, with or without
sync, no?